Skip to content

Change Ticket Status

Change the status of a support ticket.

Endpoint

INFO

PATCH /api/v1/dashboard/tickets/{ticket}/status

Headers

HeaderValueRequired
Content-Typeapplication/jsonYes
Acceptapplication/jsonYes
AuthorizationBearer {token}Yes

Path Parameters

ParameterTypeDescription
ticketintegerTicket ID

Request Body

ParameterTypeRequiredDescription
statusstringYesNew status

Example Request

bash
curl -X PATCH https://api.daakey.com/api/v1/dashboard/tickets/1/status \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {token}" \
  -d '{
    "status": "resolved"
  }'

Response

Success (200)

json
{
  "success": true,
  "message": "Ticket status updated",
  "data": {
    "id": 1,
    "reference": "TK-2024-00001",
    "status": "resolved",
    "resolved_at": "2024-01-15T14:00:00Z",
    "resolved_by": {
      "id": 2,
      "name": "Support Agent"
    },
    "updated_at": "2024-01-15T14:00:00Z"
  },
  "request_id": "uuid",
  "timestamp": "2024-01-01T00:00:00.000Z"
}

Status Values

StatusDescription
openNew ticket, awaiting response
in_progressBeing handled
resolvedIssue resolved
closedTicket closed

Daakey Car Sharing Platform